> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# person

> List of persons from the Archive provider

## "person" MDO List

List of persons from the Archive provider

Implemented by the <see cref="T:SuperOffice.CRM.Lists.PersonListProvider">PersonListProvider</see> class.
The name of the MDO list is 'person'.

## Additional Attributes

| Description                                   | Name            | Example Value |
| --------------------------------------------- | --------------- | ------------- |
| Restrict results to company contacts.         | contact\_id     | 5             |
| Restrict results to person.                   | person\_id      | 10            |
| Restrict results to project members.          | project\_id     | 15            |
| Restrict results to selection members.        | selection\_id   | 23            |
| Restrict results to sale stakeholders.        | sale\_id        | 32            |
| Restrict results to contacts without company. | withoutCompany  | False         |
| Include has\_email in extrainfo               | includeHasEmail | False         |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/person
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("person", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name              | StyleHint | ExtraInfo                        |
| --- | ----------------- | --------- | -------------------------------- |
| 147 | Adm0              |           | associate\_id=11\&contact\_id=2  |
| 148 | Adm1              |           | associate\_id=12\&contact\_id=2  |
| 149 | Adm2              |           | associate\_id=13\&contact\_id=2  |
| 150 | Adm3              |           | associate\_id=14\&contact\_id=2  |
| 151 | Adm4              |           | associate\_id=15\&contact\_id=2  |
| 152 | Adm5              |           | associate\_id=16\&contact\_id=2  |
| 223 | Adm6              |           | associate\_id=106\&contact\_id=2 |
| 9   | Admin Adminson    |           | associate\_id=1\&contact\_id=2   |
| 183 | AdmNS02 NetServer |           | associate\_id=63\&contact\_id=2  |
| 126 | Ænnhild Ænesen    |           | contact\_id=56                   |
| 124 | Ænvald Ærbe       |           | contact\_id=55                   |
| 123 | Ærling Ærestad    |           | contact\_id=55                   |
| 125 | Æse Ærvelid       |           | contact\_id=56                   |
| 131 | Åge Ågesen        |           | contact\_id=59                   |
| 141 | Älve Äström       |           | contact\_id=62                   |
| 132 | Åmund Ås          |           | contact\_id=59                   |
| 140 | Änners Ännurlunda |           | contact\_id=61                   |
| 221 | Another Kitty     |           | contact\_id=125                  |
| 22  | Arjan Abelsen     |           | associate\_id=90\&contact\_id=4  |
| 139 | Ärle Älström      |           | contact\_id=61                   |
| 19  | Arne Arnesen      |           | contact\_id=3                    |

## Related MDO Lists

* "personheadings"
* "personheadingswithallitem"
* "personheadingswithallitemwithnoselection"
* "personheadingswithnoselection"
* "personwithallitem"
* "personwithallitemwithnoselection"
* "personwithnoselection"


## Related topics

- [Person](/en/api/archive-providers/reference/person.md)
- [Persons](/en/api/reference/restful/rest/contact/persons.md)
- [person_freetextsearch](/en/api/mdo-providers/reference/person_freetextsearch.md)
- [Contact (person)](/en/contact/dev/index.md)
- [Get Person](/en/api/reference/restful/agent/person_agent/get-person.md)
- [Person table](/en/api/bulk-operations/bulk-update/reference/person-table.md)
